(***********************************************************************
yacc2latex

Pascal Raymond, Verimag

http://www-verimag.imag.fr/~raymond/

Copyright 2012,2015 Pascal Raymond,
Centre National de la Recherche Scientifique

    This file is part of yacc2latex.

    yacc2latex is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    yacc2latex is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with yacc2latex.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************)

(* Abstract lexical tokens in a yacc/mly file
   possibly with ebnf pragmas
*)
type token =
(* separator *)
| TK_colon
| TK_bar
| TK_semicol
(* immediate char *)
| TK_literal of string
(* ident *)
| TK_ident of string
(* yacc directive i.e. some string starting with % *)
| TK_directive of string
(* user pragmas *)
| TK_pragma of (string * string *string)
(* End of grammar marker
   warning any folowing call of 't' 
   will raise End_of_file exception !
*)
| TK_end

(* tokenizer raises End_of_file when input channel is empty
   (after the return of TK_end)
*)
type t = unit -> token

val create : in_channel -> t 

(* utils *)
val string_of_token : token -> string 

(* returns line * char position *)
val curpos : unit -> (int * int)
